Filaire Draft

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Wire and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Page précédente: Draft Line.svg Ligne
Page suivante: Congé Draft Fillet.svg Arrow-right.svg

Draft Wire.svg Filaire

Emplacement du menu
Draft → Filaire
Ateliers
Planche à dessin, Complet
Raccourci par défaut
W I
Introduit dans la version
0.7
Voir aussi
Ligne, Draft BSpline


Description

L'outil fil (Wire) crée polyligne (une séquence de lignes de plusieurs segments) dans le plan de travail actuel. Il prend les attributs de largeur et couleur, précédemment défini dans la barre d'outils style. L'outil fil (Wire) se comporte comme l'outil ligne de projet, sauf qu'il ne s'arrête pas après deux points.

L'outil Draft BSpline se comporte comme l'outil Wire, sauf que chacun de ses segments est incurvé au lieu d'être une ligne droite. Utilisez Draft WireToBSpline pour convertir l’un en l’autre.

Draft Polyline example.jpg

Wire défini par plusieurs points


Utilisation

  1. Pressez sur le bouton Draft Wire.svg Draft Wire, ou pressez la touche W puis sur I.
  2. Cliquez le premier point dans la vue 3D, ou entrez les coordonnées et cliquez sur le bouton Draft AddPoint.svg et point..
  3. Cliquez un point additionnel dans la vue 3D, ou, tapez les coordonnées et appuiez sur le bouton Draft AddPoint.svg Ajouter un point Draft..
  4. Pressez la touche Esc ou sur le bouton Close pour compléter l'édition.

Le fil peut être modifié en double-cliquant sur l'élément dans la vue arborescente ou en appuyant sur le bouton Draft Edit.svg Edit. Vous pouvez ensuite déplacer les points vers un nouvel emplacement ou cliquer sur le bouton Draft AddPoint.svg ajouter un point ou Draft DelPoint.svg effacer un point puis cliquez sur le fil pour ajouter ou supprimer des points.

Fusionner des lignes simples

Si plusieurs lignes connectés sont sélectionnés en appuyant sur le bouton Template:Bouton, elles seront transformées en un fil et la commande sera cloturée. introduced in version 0.17

Note: les extrémités des lignes doivent être exactement en contact sinon ils ne seront pas fusionnés. Si nécessaire, ajustez manuellement les coordonnées des points de début et de fin de lignes ou utilisez l'accrochage avec le mode point final pour faire coïncider les points.

Options

  • Appuyez sur la touche A ou sur le bouton Template:Bouton pour cloturer le fil en le laissant ouvert.
  • Appuyez sur la touche O ou sur le bouton Template:Bouton pour fermer le fil. Un segment sera ajouté. du dernier point au premier pour former une face. Au moins trois points sont nécessaires pour former un face.
  • Appuyez sur la touche W ou sur le bouton Template:Bouton pour supprimer les segments déjà placés, et continuez à éditer le fil à partir du dernier point.
  • Appuyez sur la touche U ou sur le bouton Draft SelectPlane.svg Set WP pour ajuster le plan de travail actuel dans l'orientation du dernier point.
  • Appuyez sur les touches X, Y ou Z après un point pour contraindre le point suivant sur l'axe donné.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur la touche Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg ajouter un point lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur la touche R ou cliquez sur la case à cocher pour basculer en mode "relatif". Si le mode relatif est activé, les coordonnées du point suivant sont relatifs au dernier; sinon, ils sont absolus, pris de l'origine (0,0,0).
  • Appuyez sur la touche T ou cochez la case pour passer en mode "continuer". Si le mode Continuer est activé, l'outil Fil redémarre à la fin du fil, vous permettant d'en dessiner un autre sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur la touche L ou cliquez sur la case à cocher pour passer en mode "rempli". Si le mode rempli est activé, un fil fermé créera une face DONNÉESMake Face True; sinon, le fil fermé ne fera pas de face DONNÉESMake Face False.
Note: le fil ne doit pas être rempli s'il se croise lui-même, car il ne créera pas de face approprié. Si le fil est rempli mais qu'aucune forme n'est visible, définissez manuellement la propriété sur DONNÉESMake Face sur False pour afficher le fil.
  • Maintenez la touche Ctrl pendant que vous dessinez pour forcer l'accrochage de votre point au point de capture le plus proche, indépendamment de la distance.
  • Maintenez la touche Shift contrainte pendant que vous dessinez sur votre prochain point horizontalement ou verticalement par rapport au dernier.
  • Appuyez sur la touche Ctrl + Z ou appuyez sur le bouton Draft UndoLine.png Annuler pour annuler le dernier point.
  • Appuyez sur la touche Esc ou sur le bouton Fermer pour annuler la commande en cours; les segments de ligne déjà placés resteront.

Propriétés

Un objet Wire partage toutes les propriétés d'une Draft ligne, cependant, la plupart des propriétés n'ont de sens que pour un Wire.

Données

  • DONNÉESStart: spécifie le premier point du fil.
  • DONNÉESEnd: spécifie le dernier point du fil, sans compter le point initial si le fil est fermé.
  • DONNÉESClosed: spécifie si le fil est fermé ou non. Si le fil est initialement ouvert, cette valeur est False; en le réglant sur True, un segment de ligne sera dessiné pour fermer le fil. Si le fil est initialement fermé, cette valeur est True; Si vous le définissez la valeur sur False, le dernier segment de ligne sera supprimé et le fil sera ouvert.
  • DONNÉESChamfer Size: spécifie la taille des chanfreins (segments droits) créés aux coins du fil.
  • DONNÉESFillet Radius: spécifie le rayon des congés (segments d'arc) créés aux coins du fil.
  • DONNÉESMake Face: spécifie si le fil crée une face ou non. Si elle est réglée sur True, une face est créée, sinon seules les arêtes sont considérées comme faisant partie de l'objet. Cette propriété ne fonctionne que si DONNÉESClosed est True.
Note: ne définissez pas DONNÉESMake Face sur True si le fil se croise lui-même, car il ne créera pas de face approprié.
  • DONNÉESSubdivisions: spécifie le nombre de nœuds intérieurs dans chaque segment du fil. introduced in version 0.16
  • DONNÉESLength: (en lecture seule) spécifie la longueur du fil entier.

Vue

  • VUEEnd Arrow: s'il est réglé sur True, un symbole apparaîtra au dernier point du fil, de sorte qu'il peut être utilisé comme une ligne d'annotation.
  • VUEArrow Size: spécifie la taille du symbole affiché à la fin du fil.
  • VUEArrow Type: spécifie le type de symbole affiché à la fin du fil, qui peut être un "Point", "Cercle", "Flèche" ou "Tick".
  • VUE Pattern: spécifie un Pattern avec lequel remplir la face du fil fermé. Cette propriété ne fonctionne que si DONNÉESMake Face est réglé sur True et si VUE Display Mode est "Flat Lines".
  • VUEPattern Size: spécifie la taille du Pattern.

Script

Voir aussi: Draft API et FreeCAD sripts de base.

L'outil fil peut être utilisé dans des macros, et, dans la console Python en utilisant le code suivant :

Wire = makeWire(pointslist, closed=False, placement=None, face=None, support=None)
Wire = makeWire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Crée un objet Wire avec la liste de points donnée, liste de points.
    • Chaque point de la liste est défini par son FreeCAD.Vector, avec comme unité le millimètre.
    • Sinon, l'entrée peut être un Part.Wire, à partir duquel les points sont extraits.
  • Si closed est réglé sur True, ou si les premier et dernier points sont identiques, le fil est fermé.
  • Si un placement est donné, il est utilisé; sinon la forme est créée à l'origine.
  • Si face est réglé sur True, et que le fil est fermé, le fil fera une face, c'est-à-dire qu'elle apparaîtra remplie.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

Wire1 = Draft.makeWire([p1, p2, p3], closed=True)
Wire2 = Draft.makeWire([p1, 2*p3, 1.3*p2], closed=True)
Wire3 = Draft.makeWire([1.3*p3, p1, -1.7*p2], closed=True)
Arrow-left.svg Page précédente: Draft Line.svg Ligne
Page suivante: Congé Draft Fillet.svg Arrow-right.svg